#!/tools/bin/tcsh -f

set RUN_AGENT="BS2kAgent"

set TEAM_NAME="-t_name KarlsruheBS2K"
#echo $TEAM_NAME

set PLAYER_OPT="-s_type 8 $TEAM_NAME"
#echo $PLAYER_OPT
set GOALIE_OPT="-s_type 100 -goalie $TEAM_NAME"
#echo $GOALIE_OPT

set OTHER_OPT="-log off!"

set num=0
set goalie=0 

if ($1 == "help") then
   echo "\nusage: $0 (<num_of_players>|goalie)  <other client options>"
   echo "\nconstrains: 1 <= num_of_players <= 11\n"
   exit
endif

if ($1 == "all") then
   set num=10
   set goalie=1
else if ($1 == "goalie") then
   set goalie=1
else 
   set num=$1
endif
  
if ($goalie == 1) then
   $RUN_AGENT $GOALIE_OPT $OTHER_OPT $argv[2-$#argv] &
   if ($num != 0) then
      sleep 1
   endif
endif

if ($num>10) then
   set num=10
endif

@ xxx=1
while ( $xxx <= $num)
  #echo "Initializing Player $xxx"
  #sleep 1
  $RUN_AGENT $PLAYER_OPT $OTHER_OPT $argv[2-$#argv] &
  @ xxx ++
end


